Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.connector.base
Class AbstractNodeCachingRepositorySource<KeyType,NodeType extends Node>

    java.lang.Object
      org.modeshape.graph.connector.base.AbstractRepositorySource
          org.modeshape.graph.connector.base.AbstractNodeCachingRepositorySource<KeyType,NodeType>

All Implemented Interfaces:
  Serializable, Referenceable, BaseRepositorySource, RepositorySource

Direct Known Subclasses:
  DiskSource, FileSystemSource, JdbcMetadataSource, SvnRepositorySource

    public abstract class AbstractNodeCachingRepositorySource<KeyType,NodeType extends Node>

extends AbstractRepositorySource

See Also:
  Serialized Form

Field Summary
`NodeCachePolicy<KeyType,NodeType>` | `DEFAULT_NODE_CACHE_POLICY` The initial cache policy.
`protected static String` | `NODE_CACHE_POLICY`

Fields inherited from class org.modeshape.graph.connector.base.AbstractRepositorySource
`cachePolicy, DEFAULT_CACHE_POLICY, DEFAULT_RETRY_LIMIT, DEFAULT_ROOT_NODE_UUID, repositoryContext, retryLimit, rootNodeUuid`

Constructor Summary
`AbstractNodeCachingRepositorySource()`

Method Summary
`void` | `addNodeCachePolicyChangedListener(NodeCachePolicyChangedListener<KeyType,NodeType> listener)`
`protected void` | `addNodeCachePolicyReference(Reference ref)`
`NodeCachePolicy<KeyType,NodeType>` | `getNodeCachePolicy()` Get the node cache policy for this source, or null if the global node cache policy should be used
`void` | `removeNodeCachePolicyChangedListener(NodeCachePolicyChangedListener<KeyType,NodeType> listener)`
`void` | `setNodeCachePolicy(NodeCachePolicy<KeyType,NodeType> nodeCachePolicy)`

Methods inherited from class org.modeshape.graph.connector.base.AbstractRepositorySource
`areUpdatesAllowed, close, getDefaultCachePolicy, getName, getRepositoryContext, getRetryLimit, getRootNodeUuid, getRootNodeUuidObject, initialize, isCreatingWorkspacesAllowed, setCachePolicy, setName, setRetryLimit, setRootNodeUuid, setRootNodeUuidObject, valuesFrom`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.connector.base.BaseRepositorySource
`getDefaultWorkspaceName, setUpdatesAllowed`

Methods inherited from interface org.modeshape.graph.connector.RepositorySource
`getCapabilities, getConnection`

Methods inherited from interface javax.naming.Referenceable
`getReference`

Field Detail

### NODE_CACHE_POLICY

    protected static final String NODE_CACHE_POLICY

See Also:
  Constant Field Values

### DEFAULT_NODE_CACHE_POLICY

    public final NodeCachePolicy<KeyType,NodeType extends Node> DEFAULT_NODE_CACHE_POLICY

  The initial cache policy. The default is to not cache.

Constructor Detail

### AbstractNodeCachingRepositorySource

    public AbstractNodeCachingRepositorySource()

Method Detail

### getNodeCachePolicy

    public NodeCachePolicy<KeyType,NodeType> getNodeCachePolicy()

  Get the node cache policy for this source, or null if the global node cache policy should be used

  Returns:
    the node cache policy; never null

### setNodeCachePolicy

    public void setNodeCachePolicy(NodeCachePolicy<KeyType,NodeType> nodeCachePolicy)

  Parameters:
    `nodeCachePolicy` - Sets defaultCachePolicy to the specified value.

### addNodeCachePolicyChangedListener

    public void addNodeCachePolicyChangedListener(NodeCachePolicyChangedListener<KeyType,NodeType> listener)

### removeNodeCachePolicyChangedListener

    public void removeNodeCachePolicyChangedListener(NodeCachePolicyChangedListener<KeyType,NodeType> listener)

### addNodeCachePolicyReference

    protected void addNodeCachePolicyReference(Reference ref)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.